%define upstream_name    Plack-Middleware-ServerStatus-Lite
%define upstream_version 0.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Show server status like Apache's mod_status
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Getopt::Long) >= 2.380.0
BuildRequires: perl(JSON) >= 2.530.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Net::CIDR::Lite)
BuildRequires: perl(Parallel::Scoreboard) >= 0.30.0
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Starman) >= 0.301.300
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TCP) >= 2.0.0
BuildRequires: perl(Try::Tiny) >= 0.90.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Plack::Middleware::ServerStatus::Lite is a middleware that display server
status in multiprocess Plack servers such as Starman and Starlet. This
middleware changes status only before and after executing the application.
so cannot monitor keepalive session and network i/o wait.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_bindir}/server-status
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.360.0-4.mga9
+ Revision: 1831453
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.360.0-3.mga8
+ Revision: 1506011
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.360.0-2.mga7
+ Revision: 1285733
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 sander85 <sander85> 0.360.0-1.mga7
+ Revision: 1132125
- update to 0.36

* Sun Jun 19 2016 pterjan <pterjan> 0.340.0-3.mga6
+ Revision: 1032184
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.340.0-2.mga6
+ Revision: 966750
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.340.0-1.mga6
+ Revision: 846792
- update to 0.34

* Sun Oct 19 2014 umeabot <umeabot> 0.330.0-7.mga5
+ Revision: 789542
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.330.0-5.mga5
+ Revision: 685988
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.330.0-4.mga5
+ Revision: 633945
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 0.330.0-3.mga5
+ Revision: 606105
- perl 5.18.2 rebuild

* Sun Oct 20 2013 umeabot <umeabot> 0.330.0-2.mga4
+ Revision: 536737
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 shlomif <shlomif> 0.330.0-1.mga4
+ Revision: 485474
- update to 0.33

* Fri Sep 13 2013 sander85 <sander85> 0.320.0-1.mga4
+ Revision: 478491
- update to 0.32

* Mon Sep 09 2013 sander85 <sander85> 0.310.0-1.mga4
+ Revision: 476622
- update to 0.31

* Sun Sep 08 2013 sander85 <sander85> 0.300.0-1.mga4
+ Revision: 476152
- update to 0.30

* Wed Aug 28 2013 sander85 <sander85> 0.200.0-1.mga4
+ Revision: 472662
- update to 0.20

* Mon Jul 22 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 457209
- update to 0.18

* Sat Jun 22 2013 shlomif <shlomif> 0.160.0-1.mga4
+ Revision: 445662
- New version 0.16
- New version 0.16

* Sat Jun 01 2013 shlomif <shlomif> 0.130.0-1.mga4
+ Revision: 434146
- New version 0.13

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 371873
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.90.0-1.mga3
+ Revision: 335151
- imported package perl-Plack-Middleware-ServerStatus-Lite


* Tue Dec 25 2012 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
